## edu.stanford.nlp.maxent
Class Problem

    java.lang.Object
      edu.stanford.nlp.maxent.Problem

    public class Problem

extends Object

This is a general class for Problem to be solved by the MaxEnt toolkit. There have to be experiments and features

Field Summary
`Experiments` `data` This is the training data.
`int` `exSize`
`int` `fSize`
`Features` `functions` These are the features.

Constructor Summary
`Problem()`
`Problem(Experiments d, Features f)`

Method Summary
`void` `add(Feature f)`
`void` `print()`
`void` `print(String filename)`
`void` `removeLast()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exSize

    public int exSize

### fSize

    public int fSize

### data

    public Experiments data

  This is the training data.

### functions

    public Features functions

  These are the features.

Constructor Detail

### Problem

    public Problem(Experiments d,
                   Features f)

### Problem

    public Problem()

Method Detail

### add

    public void add(Feature f)

### removeLast

    public void removeLast()

### print

    public void print()

### print

    public void print(String filename)

Stanford NLP Group